org.apache.hadoop.fs

## Enum XAttrSetFlag

- java.lang.Object
- - java.lang.Enum<XAttrSetFlag>
  - - org.apache.hadoop.fs.XAttrSetFlag

- All Implemented Interfaces:
    Serializable, Comparable<XAttrSetFlag>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public enum XAttrSetFlag
      extends Enum<XAttrSetFlag>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE` Create a new xattr.
    `REPLACE` Replace a existing xattr.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `validate(String xAttrName, boolean xAttrExists, EnumSet<XAttrSetFlag> flag)`
    `static XAttrSetFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XAttrSetFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final XAttrSetFlag CREATE

      Create a new xattr. If the xattr exists already, exception will be thrown.

    - #### REPLACE

          public static final XAttrSetFlag REPLACE

      Replace a existing xattr. If the xattr does not exist, exception will be thrown.

  - ### Method Detail

    - #### values

          public static XAttrSetFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XAttrSetFlag c : XAttrSetFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XAttrSetFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### validate

          public static void validate(String xAttrName,
                                      boolean xAttrExists,
                                      EnumSet<XAttrSetFlag> flag)
                               throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.